<?xml version="1.0"?>

<xsl:stylesheet id="quotes"
                   xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                   xmlns:xt="http://www.jclark.com/xt"
                   extension-element-prefixes="xt"
                   version="1.0">

<xsl:template match="documentation">
<xt:document href="html/index.html" method="html">

    <html>        
      <link rel="stylesheet" title="normal" 
            type="text/css" 
            href="fslview.css" /> 
      <body>
      
      <h1>Fslview</h1>
 
        <xsl:apply-templates select="introduction" /> 
        <br/>     
      
        

        



      <h2>Tutorials</h2>
 
        <xsl:for-each select="tutorials/lesson">
         <br/>
          <a> 
            <xsl:attribute name="href">
              <xsl:value-of select="@htmlfile"/>
              <xsl:text>.html</xsl:text>
            </xsl:attribute>
            
            <xsl:value-of select="@name"/>
          </a>
        </xsl:for-each>




        <h2>Control Summary</h2>
        <xsl:text>Click on the images for more information.</xsl:text>
  
        <xsl:for-each select="gui/widgetgroup">
        <br/>
          <a> 
            <xsl:attribute name="href">
              <xsl:value-of select="@htmlfile"/>
              <xsl:text>.html</xsl:text>
            </xsl:attribute>

            <xsl:element name="img">
              <xsl:attribute name="src">
                <xsl:value-of select="image"/>
              </xsl:attribute>
            </xsl:element>

          </a>
          <br/>
        </xsl:for-each>

      <xsl:apply-templates select="gui" />    
      <xsl:apply-templates select="tutorials" />    



      </body>
    </html>

</xt:document>

</xsl:template>





<xsl:template match="lesson">  
  <xsl:variable name="filename">
    <xsl:value-of select = "@htmlfile"/>
  </xsl:variable>

    <xt:document href="{$filename}.html" method="html">  
    <link rel="stylesheet" title="normal" 
          type="text/css" 
          href="fslview.css" /> 
    <h3><xsl:value-of select = "@name"/></h3>
    <xsl:apply-templates/>
    </xt:document>
</xsl:template>







<xsl:template match="widgetgroup">  


  <xsl:variable name="filename">
    <xsl:value-of select = "@htmlfile"/>
  </xsl:variable>

  <xt:document href="{$filename}.html" method="html">      
  <link rel="stylesheet" title="normal" 
            type="text/css" 
            href="fslview.css" /> 
    <h3>   
    <xsl:apply-templates select = "@name"/><br/>    
    </h3>    
    <xsl:apply-templates select = "image"/><br/>
    <xsl:apply-templates select = "description"/>

    <table border="1" cellpadding="10" width="80%">
    <tr align="center"><th>Icon</th><th>Name</th><th>Description</th></tr>
    <xsl:for-each select="widget">
     <p>    
        <tr align="left">
        <td><xsl:apply-templates select = "image"/> </td>
        <td><xsl:value-of select = "@name"/>   </td>
        <td><xsl:apply-templates select = "description"/></td>
        </tr>

    </p>
  </xsl:for-each>
  </table>
  <h3>More Details</h3>
  <p>
  <xsl:apply-templates select = "longdescription"/>
  <xsl:for-each select="widget">
  <xsl:apply-templates select = "longdescription"/>
  </xsl:for-each>
  </p>
  </xt:document>  
</xsl:template>


<xsl:template match="description">
    <xsl:apply-templates />
</xsl:template>

<xsl:template match="longdescription">
   <p><xsl:apply-templates /></p>
</xsl:template>

<xsl:template match="text">
   <xsl:apply-templates />
</xsl:template>

<xsl:template match="p">
   <p><xsl:apply-templates /></p>
</xsl:template>



<xsl:template match="ul">
   <ul><xsl:apply-templates /></ul>
</xsl:template>

<xsl:template match="li">
   <li><xsl:apply-templates /></li>
</xsl:template>

<xsl:template match="key">
   <span class="key"><xsl:apply-templates /></span>
</xsl:template>

<xsl:template match="control">
   <span class="control"><xsl:apply-templates /></span>
</xsl:template>

<xsl:template match="mode">
   <span class="mode"><xsl:apply-templates /></span>
</xsl:template>

<xsl:template match="parameter">
   <span class="parameter"><xsl:apply-templates /></span>
</xsl:template>

<xsl:template match="tool">
   <span class="tool"><xsl:apply-templates /></span>
</xsl:template>

<xsl:template match="h2">
   <h2><xsl:apply-templates /></h2>
</xsl:template>

<xsl:template match="link">
          <a> 

            <xsl:attribute name="href">
              <xsl:choose>
                <xsl:when test="@www">
                  <xsl:text>http://</xsl:text>
                  <xsl:value-of select="@www"/>
                </xsl:when>
                
                <xsl:when test="@download">
                  <xsl:value-of select="@download"/>
                </xsl:when>

                <xsl:otherwise>
                  <xsl:value-of select="@file"/>
                  <xsl:text>.html</xsl:text>
                </xsl:otherwise>
              </xsl:choose>    
        </xsl:attribute>
           
            <xsl:value-of select="."/>
          </a>
</xsl:template>


<xsl:template match="email">
          <a> 
            <xsl:attribute name="href">
              <xsl:text>mailto:</xsl:text>
              <xsl:value-of select="."/>
            </xsl:attribute>
            <xsl:apply-templates />
          </a>
</xsl:template>

<xsl:template match="image">
  <img alt="picture">
    <xsl:attribute name = "src">
      <xsl:value-of select="."/>
    </xsl:attribute>
  </img>
</xsl:template>








</xsl:stylesheet>
