/*  FSLView - 2D/3D Interactive Image Viewer

    James Saunders, David Flitney and Stephen Smith, FMRIB Image Analysis Group

    Copyright (C) 2002-2003 University of Oxford  */

/*  CCOPYRIGHT */

#if !defined(GROUP_H)
#define GROUP_H

#include <boost/shared_ptr.hpp>
#include <list>

// This class implements the Observer pattern (Design Patterns pp293-303
template <class Groupable>
class Group {
public:
  typedef boost::shared_ptr<Group> Handle;

  ~Group();

  Group::Handle createGroup();

  void addChild(const Groupable::Handle&);
  void removeChild(const Groupable::Handle&);

  void notify();
  void update(Groupable::Handle&) = 0;

private:
  Group();

  std::list<Groupable::Handle> m_children;
};

class CursorGroup: public Group<Cursor>
{
  void setCursor
};

class ImageGroup: public Group<Image>
{
};

#endif
